local AceGUI = LibStub("AceGUI-3.0")

--------------------------
-- SimpleHTML 	 			--
--------------------------
do
	local Type = "SimpleHTML"
	local Version = 1
	
	local function OnAcquire(self)
		self:SetText("")
		self.frame:SetHeight(10)
		self.frame:SetWidth(200)
	end
	
	local function OnRelease(self)
		self.frame:ClearAllPoints()
		self.frame:Hide()
	end
	
	local function SetText(self, text)
		self.frame:SetText(text or "")
	end

	local function SetWidth(self, w)
		self.frame:SetWidth(w)
	end
	
	local function Constructor()
		local frame = CreateFrame("SimpleHTML",nil,UIParent)
		local self = {}
		self.type = Type
		
		self.OnRelease = OnRelease
		self.OnAcquire = OnAcquire
		self.SetText = SetText
		self.SetWidth = SetWidth
		self.frame = frame
		frame.obj = self
		
		frame:SetHeight(10)
		frame:SetWidth(200)
		frame:SetFontObject(GameFontHighlightSmall)
		
		AceGUI:RegisterAsWidget(self)
		return self
	end
	
	AceGUI:RegisterWidgetType(Type,Constructor,Version)
end
